X2Go Bug report logs - #131
Build scripts for DMG generation on OS X

version graph

Package: x2goclient; Maintainer for x2goclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goclient is src:x2goclient.

Reported by: Clemens Lang <neverpanic@gmail.com>

Date: Fri, 1 Mar 2013 17:33:01 UTC

Severity: normal

Tags: patch, pending

Found in version 4.0.0.1

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#131; Package x2goclient. (Fri, 01 Mar 2013 17:33:01 GMT) (full text, mbox, link).


Acknowledgement sent to Clemens Lang <neverpanic@gmail.com>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Fri, 01 Mar 2013 17:33:02 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: Clemens Lang <neverpanic@gmail.com>
To: submit@bugs.x2go.org
Subject: Build scripts for DMG generation on OS X
Date: Fri, 1 Mar 2013 18:31:39 +0100
[Message part 1 (text/plain, inline)]
Package: x2goclient
Version: 4.0.0.1
Tags: patch

As previously discussed in IRC I have created a script to build a
x2goclient.dmg on OS X. Please find attached a patch against the
qmake project (my system doesn't have an SDK for 10.5 anymore, and can
also no longer generate PPC code; instead the required settings are set
in macbuild.sh). Building i386 is no longer necessary for 10.7+ either.

Also attached is a tarball holding all files required to build a disk
image, which are
 - macbuild.sh, the script building a dmg image
 - macdmg.DS_Store, a .DS_Store file for the final disk image,
   positioning the icons and setting the background image
 - pkg-dmg, a perl script to simplify building disk images
 - {png,svg}/macinstaller_background.*, graphics used as background of
   the disk image.

Please merge this into x2goclient trunk.

-- 
Clemens Lang
MacPorts Developer
[x2goclient-macbuild.patch (text/x-diff, attachment)]
[x2goclient-macbuild-auxfiles.tar.bz2 (application/octet-stream, attachment)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#131; Package x2goclient. (Fri, 01 Mar 2013 20:33:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Fri, 01 Mar 2013 20:33:02 GMT) (full text, mbox, link).


Message #10 received at 131@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Clemens Lang <neverpanic@gmail.com>, 131@bugs.x2go.org
Cc: control@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#131: Build scripts for DMG generation on OS X
Date: Fri, 01 Mar 2013 21:30:49 +0100
[Message part 1 (text/plain, inline)]
tag #131 pending
thanks

Hi Clemens,

On Fr 01 Mär 2013 18:31:39 CET Clemens Lang wrote:

> Package: x2goclient
> Version: 4.0.0.1
> Tags: patch
>
> As previously discussed in IRC I have created a script to build a
> x2goclient.dmg on OS X. Please find attached a patch against the
> qmake project (my system doesn't have an SDK for 10.5 anymore, and can
> also no longer generate PPC code; instead the required settings are set
> in macbuild.sh). Building i386 is no longer necessary for 10.7+ either.
>
> Also attached is a tarball holding all files required to build a disk
> image, which are
>  - macbuild.sh, the script building a dmg image
>  - macdmg.DS_Store, a .DS_Store file for the final disk image,
>    positioning the icons and setting the background image
>  - pkg-dmg, a perl script to simplify building disk images
>  - {png,svg}/macinstaller_background.*, graphics used as background of
>    the disk image.
>
> Please merge this into x2goclient trunk.

Thanks for the great work on this! Please check the latest commits on  
x2goclient.git (branches: master and release/4.0.0.x) and let me know  
if everything is in place.

If that is the case, I would bump a release of 4.0.0.4 and you could  
send me the x2goclient.dmg for Mac OS.

Greets,
Mike


-- 

DAS-NETZWERKTEAM
mike gabriel, rothenstein 5, 24214 neudorf-bornstein
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 01 Mar 2013 20:33:02 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#131; Package x2goclient. (Sat, 02 Mar 2013 17:18:02 GMT) (full text, mbox, link).


Acknowledgement sent to Clemens Lang <neverpanic@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Sat, 02 Mar 2013 17:18:02 GMT) (full text, mbox, link).


Message #17 received at 131@bugs.x2go.org (full text, mbox, reply):

From: Clemens Lang <neverpanic@gmail.com>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Cc: 131@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#131: Build scripts for DMG generation on OS X
Date: Sat, 2 Mar 2013 18:17:02 +0100
Hi,

On Fri, Mar 01, 2013 at 09:30:49PM +0100, Mike Gabriel wrote:
> Thanks for the great work on this! Please check the latest commits on
> x2goclient.git (branches: master and release/4.0.0.x) and let me know
> if everything is in place.
> 
> If that is the case, I would bump a release of 4.0.0.4 and you could
> send me the x2goclient.dmg for Mac OS.

works fine.

-- 
Clemens


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#131; Package x2goclient. (Mon, 04 Mar 2013 05:03:01 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Mon, 04 Mar 2013 05:03:01 GMT) (full text, mbox, link).


Message #22 received at 131@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Clemens Lang <neverpanic@gmail.com>
Cc: 131@bugs.x2go.org, control@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#131: Build scripts for DMG generation on OS X
Date: Mon, 04 Mar 2013 05:52:06 +0100
[Message part 1 (text/plain, inline)]
close #131
thanks

Hi Clemens,

On Sa 02 Mär 2013 18:17:02 CET Clemens Lang wrote:

> Hi,
>
> On Fri, Mar 01, 2013 at 09:30:49PM +0100, Mike Gabriel wrote:
>> Thanks for the great work on this! Please check the latest commits on
>> x2goclient.git (branches: master and release/4.0.0.x) and let me know
>> if everything is in place.
>>
>> If that is the case, I would bump a release of 4.0.0.4 and you could
>> send me the x2goclient.dmg for Mac OS.
>
> works fine.

4.0.0.4 of X2Go Client has just been released.

Thanks+Greets,
Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, rothenstein 5, 24214 neudorf-bornstein
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Mon, 04 Mar 2013 05:03:02 GMT) (full text, mbox, link).


Notification sent to Clemens Lang <neverpanic@gmail.com>:
Bug acknowledged by developer. (Mon, 04 Mar 2013 05:03:02 GMT) (full text, mbox, link).


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Mon, 01 Apr 2013 05:24:01 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Sat Aug 24 14:03:37 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.